import request from "@/utils/httpRequest";
import { PSI_MANAGEMANT as prefix } from "../AppPath";

export default class SupplierService {
	save(param) {
		return request({
			url: prefix + "/psi/supplier/save",
			method: "post",
			data: param,
		});
	}
	queryById(id) {
		return request({
			url: prefix + "/psi/supplier/queryById",
			method: "get",
			params: { id: id },
		});
	}
	list(param) {
		return request({
			url: prefix + "/psi/supplier/list",
			method: "get",
			params: param,
		});
	}
	delete(ids) {
		return request({
			url: prefix + "/psi/supplier/delete",
			method: "delete",
			params: { ids: ids },
		});
	}
	findByName(name) {
		return request({
			url: prefix + "/psi/supplier/findByName",
			method: "get",
			params: { name: name },
		});
	}
}
